package com.leanwo.activiti.dto.base;


import java.io.Serializable;

public class KeyValueStr implements Serializable {
	private String key;
	private String value;
	
	public KeyValueStr() {
	}
	
	public KeyValueStr(String key, String value) {
		super();
		this.key = key;
		this.value = value;
	}
	

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	@Override
	public boolean equals(Object obj) {
		return this.toString().equals(obj.toString());
	}

	@Override
	public String toString() {
		return key + "_" + value;
	}
}
